events {

}
http {
    server {
        listen 8080;
        # disable access logging in development
        # (because it should always be us who is requesting)
        access_log do.not.forward.to.stdout;

        # some xml files are way too large...
        # value increased to exist-db max
        client_max_body_size 100M;

        location /api {
            proxy_pass http://db:8080/exist/restxq;
        }

        location /download {
            proxy_pass http://db:8080/exist/rest/db/data;
        }

        location /exist {
            proxy_pass http://db:8080/exist;
        }

        # allow websocket connection to react dev-server
        location /sockjs-node {
            proxy_pass http://front:8080/sockjs-node;
            proxy_http_version 1.1;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "Upgrade";
            proxy_set_header Host $host;
        }

        location / {
            proxy_pass http://front:8080;
        }
    }
}
